var edit_id = helper.request.queryString("edit_id");
$(function() {
// 	//获取所属行业//获取税务类别//获取客户信誉等级
// 	$.when(helper.getDropList.getlistDropByDic($('#customer_subtrade'), 'KHSSHY'),
// 			helper.getDropList.getlistDropByDic($('#customer_taxCategory'), 'SWLB'),
// 			helper.getDropList.getlistDropByDic($('#customer_layer'), 'KHLayer'))
// 		.done(function() {
			
			if (edit_id) {
				getCustomer(edit_id);
			}
			$('.project_save').click((function(){
				addedit(edit_id)
			}))
			
		// });
		
});

//获取详情
function getCustomer(ids) {
	$.getJSON(huayi.config.callcenter_url + "MaterialManage/GetModel", {
		id: ids, //id
		token: $.cookie("token")
	}, function(data) {
		if (data.state.toLowerCase() == "success") {
			data = data.data;
			if (data) {
				
				$('#F_MaterialCode').val(data.model.F_MaterialCode);
				$('#F_MaterialName').val(data.model.F_MaterialName);
				$('#F_Model').val(data.model.F_Model);
				$('#F_Specs').val(data.model.F_Specs);
				$('#F_Level1').val(data.model.F_Level1);
				$('#F_Level2').val(data.model.F_Level2);
				$('#F_Level3').val(data.model.F_Level3);
				$('#F_Brand').val(data.model.F_Brand);
				$('#F_MaterialEffect').val(data.model.F_MaterialEffect);
				$('#F_Pipeline').val(data.model.F_Pipeline);
				$('#F_Craft').val(data.model.F_Craft);
				if(data.model.F_MaterialEffect === "高效一") {
					$("input[type=radio][value='高效一']").prop("checked", true);
				}else if(data.model.F_MaterialEffect === "高效二") {
					$("input[type=radio][value='高效二']").prop("checked", true);
				}else if(data.model.F_MaterialEffect === "普通") {
					$("input[type=radio][value='普通']").prop("checked", true);
				}else if(data.model.F_MaterialEffect === "空") {
					$("input[type=radio][value='空']").prop("checked", true);
				}
				
				if(data.model.F_Pipeline === "尿素") {
					$("input[type=radio][value='尿素']").prop("checked", true);
				}else if(data.model.F_Pipeline === "复合肥") {
					$("input[type=radio][value='复合肥']").prop("checked", true);
				}
				
				$('#F_Remark').html(helper.filter.content(data.model.F_Remark));//	string 备注
			}
		}
		// alert(111111111111111);
	});
}

//修改保存
function addedit(editId) {
			// var mobileNumReg = /^\d{11}$/,
			// if(!mobileNumReg.test($.trim($("#F_MaterialCode").val()))) {
			// 	layer.confirm('号段长度11位，且必须是数字。', {
			// 		icon: 2,
			// 		btn: ['确定'] //按钮
			// 	});
			// 	return;
			// }			
		$.post(huayi.config.callcenter_url + "MaterialManage/EditModel", {
					F_Id:editId,
					F_MaterialCode: $("#F_MaterialCode").val(),//物料编码
					F_MaterialName: $("#F_MaterialName").val(),//物料名称
					F_Model: $("#F_Model").val(),//型号
					F_Specs: $("#F_Specs").val(),//规格
					F_Level1: $("#F_Level1").val(),//一级分类
					F_Level2: $("#F_Level2").val(),//二级分类
					F_Level3: $("#F_Level3").val(),//三级分类
					F_Brand: $('#F_Brand').val(),//品牌
					F_MaterialEffect: $('#F_MaterialEffect').find('input[type="radio"]:checked').val(), //复合肥肥效
					F_Pipeline: $('#F_Pipeline').find('input[type="radio"]:checked').val(), //产品线
					F_Craft: $("#F_Craft").val(),//工艺
					F_Remark: $("#F_Remark").val(),//备注
					token: $.cookie("token")
			}, function(result) {
				result = $.parseJSON(result);
				if(result.state.toLowerCase() == "success") {
					debugger
					 var index = parent.layer.getFrameIndex(window.name); //先得到当前iframe层的索引
					 parent.layer.close(index); //再执行关闭
					 parent.$('#workorderlist').bootstrapTable('refresh');						
					 parent.layer.msg("修改成功");
					 top.workcount();
				}
			})
		}





